| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
UART_PARAM_T Struct Reference
CHIP: LPC8xx UART ROM Driver

## Detailed Description

UART ROM driver parameter structure

Definition at line 141 of file uartd_8xx.h.

`#include "uartd_8xx.h"`

## Data Fields
uint8_t * | buffer
uint32_t | size
uint16_t | transfer_mode
uint16_t | driver_mode
UART_CALLBK_T | callback_func_pt
UART_DMA_REQ_T | dma_req_func_pt

## Field Documentation

uint8_t* buffer

Pointer to data buffer

Definition at line 142 of file uartd_8xx.h.

UART_CALLBK_T callback_func_pt

callback function pointer

Definition at line 157 of file uartd_8xx.h.

UART_DMA_REQ_T dma_req_func_pt

UART DMA channel setup function pointer

Definition at line 158 of file uartd_8xx.h.

uint16_t driver_mode

Driver mode 0x00: Polling mode, function blocked until transfer completes 0x01: Interrupt mode, function immediately returns, callback invoked when transfer completes 0x02: DMA mode, in case DMA block is available, DMA req function is called for UART DMA channel setup, then callback function indicate that transfer completes

Definition at line 153 of file uartd_8xx.h.

uint32_t size

Size of the buffer

Definition at line 143 of file uartd_8xx.h.

uint16_t transfer_mode

Transfer mode settings 0x00: uart_get_line: stop transfer when the buffer is full 0x00: uart_put_line: stop transfer when the buffer is empty 0x01: uart_get_line: stop transfer when CRLF are received 0x01: uart_put_line: transfer stopped after reaching \0 and CRLF is sent out after that 0x02: uart_get_line: stop transfer when LF are received 0x02: uart_put_line: transfer stopped after reaching \0 and LF is sent out after that 0x03: uart_get_line: RESERVED 0x03: uart_put_line: transfer stopped after reaching \0

Definition at line 144 of file uartd_8xx.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_8xx/uartd_8xx.h